import { PipeTransform } from '@nestjs/common';
import AjvCall, { ValidateFunction } from 'ajv';
import { ResourceRequestObject } from '../../../types-common/request';
export declare class BodyRelationshipPipe<Entity> implements PipeTransform {
    protected ajvCall: AjvCall;
    protected validateFunction: ValidateFunction<ResourceRequestObject<Entity>>;
    constructor(ajvCall: AjvCall);
    transform(value: any): ResourceRequestObject<Entity>['data'];
}
